html, body {
    width: 100%;
}

.container {
    background-image: url("../images/rana-sawalha-364253-unsplash.png");
    background-size: cover;
    color: white;
    font-family: Verdana;
    height:100vh;

}

header {
    background-color: rgba(0, 0, 0, 0.5);
    height: 56px;
    line-height: 30px;
    width: 100%;
}

a {
    color: #3CB878;
    cursor: pointer;
    text-decoration: none;
}

button {
    cursor: pointer;

}

.logo {
    float: left;
    font-size: 20px;
    font-weight: bold;
    padding-left: 6%;
    width: 40%;
}

.logo a {
    color: white;
    transition: 1s;
}

.logo a:hover {
    color: #3CB878;
}

.header_panel {
    float: right;
    font-size: 14px;
    margin-right: 2%;

}

.header_panel li {
    display: inline-block;
    margin-right: 15px;
}

.header_panel .welcome {
    bottom: 4px;
    margin-left: 20px;
    position: relative;
}


.header_panel .journey::after {
    content: url("../images/line_header.png");
    display: inline-block;
    margin-left: 45px;
    opacity: 0.3;

}

.icon {
    background: url("../images/spritesheet2.png") no-repeat;
    cursor: pointer;
    height: 20px;
    width: 27px;

}

.icon.calendar {
    background-position: -5px -5px;
    transition-delay: 0.2s;
}

.icon.forum {
    background-position: -5px -34px;
    transition-delay: 0.2s;
}

.icon.journey {
    background-position: -81px -5px;
    transition-delay: 0.2s;
}

.icon.calendar:hover {
    background-position: -34px -5px;
}

.icon.forum:hover {
    background-position: -43px -34px;
}

.icon.journey:hover {

    background-position: -81px -35px;
}


form {
    background: white;
    border: 1px solid transparent;
    border-radius: 20px;
    color: #000000;
    margin: 0 auto;
    position: relative;
    text-align: center;
    top: calc((100vh - 56px)/2);
    transform: translate(0, -50%);
    width: 444px;
    padding-bottom: 30px;
}


.form_container {
    margin: 0 auto;
    width: 322px;
}


.hr_block {
    opacity: 0.5;
    position: absolute;
    top: 121px;
    width: 72%;

}


.form_container p {
    background-color: #FFFFFF;
    color: #848484;
    font-size: 14px;
    height: 15px;
    left: 191px;
    position: absolute;
    top: 107px;
    width: 60px;

}


.sign_up {
    font-size: 20px;
    float: left;
    margin-top: 22px;
}

.sign_up::before {
    background-color: #3CB878;
    content: "";
    display: block;
    height: 18px;
    left: -1px;
    position: absolute;
    top: 25px;
    width: 18px;
}

.log_in {
    font-size: 14px;
    float: right;
    margin-top: 25px;
}

.fb {
    position: absolute;
    top: 52px;
    width: 36%;
}


.fb button {
    background: #305DB8;
    border: 1px solid #305DB8;
    border-radius: 5px;
    color: #FFFFFF;
    height: 46px;
    line-height: 46px;
    text-align: center;
    width: 157px;

}

.fb span, .google_button span {
    padding-left: 30px;
}

.google_button span {
    padding-right: 10px;
}


.fb span::before {
    content: url("../images/Rectangle 2.png");
    left: 47px;
    opacity: 0.2;
    position: absolute;
    top: 9px;

}

.google_button {
    position: absolute;
    right: 62px;
    text-align: right;
    top: 52px;
    width: 36%;
}

.google_button button {
    background: #DF4A32;
    border: 1px solid #DF4A32;
    border-radius: 5px;
    color: #FFFFFF;
    height: 46px;
    line-height: 46px;
    width: 157px;
}

.google_button span::before {
    content: url("../images/Rectangle 2.png");
    left: 55px;
    opacity: 0.2;
    position: absolute;
    top: 9px;

}


.form_groups input, .button_class button {
    border: 1px solid #EAEAEA;
    border-radius: 5px;
    height: 46px;
}

.form_groups input {
    color: black;
    font-size: 14px;
    padding-left: 14px;
    width: 306px;

}

.form_groups input:focus {
    box-shadow: 0 5px 5px rgba(133, 133, 133, 0.3);
    background-color: white;
    outline: 0;
}

input::-webkit-input-placeholder {
   color: #BEBEBE;

}

input::-moz-placeholder{
    color: #BEBEBE;
}

input:-moz-placeholder{
    color: #BEBEBE;
}

input:-ms-input-placeholder{
    color: #BEBEBE;
}

input:focus::-webkit-input-placeholder {
    color: transparent;
}

input:focus::-moz-placeholder {
    color: transparent;
}

input:focus:-moz-placeholder {
    color: transparent;
}

input:focus:-ms-input-placeholder {
    color: transparent;
}


input[name="userFirstName"] {
    margin-top: 107px;
}

input[name="userLastName"], input[type="password"], input[type="email"] {
    margin-top: 13px;

}

.checkbox_wrapper {
    font-size: 14px;
    margin-top: 17px;
    margin-bottom: 21px;
    text-align: left;

}

input[type="checkbox"]:checked, input[type="checkbox"]:not(:checked) {
    left: -9999px;
    position: absolute;

}

input[type="checkbox"]:checked + label,
input[type="checkbox"]:not(:checked) + label {
    cursor: pointer;
    display: inline-block;
    padding-left: 30px;

}

input[type="checkbox"]:checked + label:before,
input[type="checkbox"]:not(:checked) + label:before {
    content: "";
    background-color: #ffffff;
    border: 1px solid #EAEAEA;
    border-radius: 3px;
    height: 20px;
    left: 61px;
    position: absolute;
    top: 465px;
    width: 20px;

}

input[type="checkbox"]:checked + label:after {
    content: url("../images/checkbox.png");
    left: 65px;
    position: absolute;

}


.button_class button {
    background: #3CB878;
    color: #FFFFFF;
    font-size: 16px;
    width: 100%;

}

